	;init_fx
	DB	T_FX_INI

	; start music after first effect init
	DB	2		;COMM_ASM
	CALL	MUSIC_ON
	;---
	DI
	LD	BC,6032-104	; call im2 subroutine with play music while counter <= this value
WAITMUSLP	
	CALL	IM2EXEC
	LD	HL,(MUSPOS)
	AND	A
	SBC	HL,BC
	JP	NZ,WAITMUSLP
	;---
	LD	IY,$+5
	RET



	DB	T_FX_NOP
	DW	6032-1

	DB	2
	CALL	BLINK_ON
	CALL	BLINK_ON
	CALL	BLINK_ON
	CALL	BLINK_ON
	LD	IY,$+5
	RET

	DB	T_FX_RUN
	DW	6864-1-2

	DB	2
	;include "debug_getstat.asm"
	CALL	BLINK_ON
	LD	HL,IM2CALL_RET
	LD	(IM2CALL),HL
	LD	B,5
WWW1	EI:HALT
	DJNZ	WWW1
	CALL	BLINK_OFF
	LD	IY,$+5
	RET

	DB	T_FX_NOP
	DW	6980-1

	DB	2
WEND	DI
	DEC	A
	JP	WEND

;5280
;2361
;7782